Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 25/05/2014, à 09:52

Chloros

[Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Bonjour tout le monde,
Ça fait déjà quelques temps que ma barre des tâches affiche un joli panneau de sens interdit qui m'empêche de mettre à jour mon Ubuntu, mais aujourd'hui, la motivation du « et si on corrigeait quelques erreurs au risque de défoncer son PC ? » m'est revenue.

Voici le souci :

sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libbcmail-java libstdc++-4.8-dev g++-4.8 cmake-data emacsen-common libbcprov-java libitext-java libgnumail-java
  libgnuinet-java libbcpkix-java libgnujaf-java
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  binutils cpp-4.4 cpp-4.8 g++-4.4 g++-4.8 gcc-4.4 gcc-4.4-base gcc-4.8 gcc-4.8-base gcc-4.9-base libasan0 libatomic1
  libbcpkix-java libbcprov-java libc-dev-bin libc6 libc6-dev libc6-i686 libcloog-isl4 libgcc-4.8-dev libgcc1 libgcj14
  libgfortran3 libgmp10 libgomp1 libisl10 libitext-java libitm1 libmpc3 libmpfr4 libnih-dbus1 libnih1 libquadmath0
  libstdc++-4.8-dev libstdc++6 libstdc++6-4.4-dev locales make multiarch-support pdftk pkg-config
Paquets suggérés :
  binutils-doc gcc-4.4-locales gcc-4.8-locales g++-4.4-multilib gcc-4.4-doc libstdc++6-4.4-dbg g++-4.8-multilib gcc-4.8-doc
  libstdc++6-4.8-dbg gcc-4.4-multilib libmudflap0-4.4-dev libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloog-ppl1 libppl-c4
  libppl13 gcc-4.8-multilib libitm1-dbg libatomic1-dbg libasan0-dbg libtsan0-dbg libbacktrace1-dbg libquadmath0-dbg
  libbcpkix-java-doc libbcprov-java-doc glibc-doc libgcj14-dbg libgcj14-awt libstdc++-4.8-doc libstdc++6-4.4-doc make-doc
Paquets recommandés :
  gcj-4.8-jre-lib
Les paquets suivants seront ENLEVÉS :
  gcj-4.4-base libbcmail-java-gcj libgcj-bc libgcj10 libitext-java-gcj
Les NOUVEAUX paquets suivants seront installés :
  cpp-4.8 g++-4.8 gcc-4.4 gcc-4.8 gcc-4.8-base gcc-4.9-base libasan0 libatomic1 libbcpkix-java libcloog-isl4 libgcc-4.8-dev
  libgcj14 libgmp10 libisl10 libitm1 libmpc3 libmpfr4 libquadmath0 libstdc++-4.8-dev multiarch-support
Les paquets suivants seront mis à jour :
  binutils cpp-4.4 g++-4.4 gcc-4.4-base libbcprov-java libc-dev-bin libc6 libc6-dev libc6-i686 libgcc1 libgfortran3 libgomp1
  libitext-java libnih-dbus1 libnih1 libstdc++6 libstdc++6-4.4-dev locales make pdftk pkg-config
21 mis à jour, 20 nouvellement installés, 5 à enlever et 1443 non mis à jour.
Il est nécessaire de prendre 56,4Mo dans les archives.
Après cette opération, 66,0Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? 
Réception de : 1 http://ftp.fr.debian.org/debian/ sid/main locales 2.18-6 [3 912kB]
Réception de : 2 http://ftp.fr.debian.org/debian/ sid/main make 4.0-7 [343kB]
Réception de : 3 http://ftp.fr.debian.org/debian/ sid/main pkg-config 0.28-1 [57,2kB]
Réception de : 4 http://ftp.fr.debian.org/debian/ sid/main libc6-dev 2.18-6 [3 034kB]
Réception de : 5 http://ftp.fr.debian.org/debian/ sid/main libc-dev-bin 2.18-6 [229kB]
Réception de : 6 http://ftp.fr.debian.org/debian/ sid/main libnih-dbus1 1.0.3-4.2+b1 [96,7kB]
Réception de : 7 http://ftp.fr.debian.org/debian/ sid/main libnih1 1.0.3-4.2+b1 [125kB]
Réception de : 8 http://ftp.fr.debian.org/debian/ sid/main libc6 2.18-6 [3 958kB]
Réception de : 9 http://ftp.fr.debian.org/debian/ sid/main libc6-i686 2.18-6 [1 158kB]
Réception de : 10 http://ftp.fr.debian.org/debian/ sid/main multiarch-support 2.18-6 [168kB]
Réception de : 11 http://ftp.fr.debian.org/debian/ sid/main libgmp10 2:6.0.0+dfsg-4 [248kB]
Réception de : 12 http://ftp.fr.debian.org/debian/ sid/main libmpfr4 3.1.2-1 [511kB]
Réception de : 13 http://ftp.fr.debian.org/debian/ sid/main cpp-4.4 4.4.7-8 [2 785kB]
Réception de : 14 http://ftp.fr.debian.org/debian/ sid/main binutils 2.24.51.20140425-1 [3 265kB]                             
Réception de : 15 http://ftp.fr.debian.org/debian/ sid/main libgomp1 4.9.0-3 [39,2kB]                                         
Réception de : 16 http://ftp.fr.debian.org/debian/ sid/main libstdc++6-4.4-dev 4.4.7-8 [945kB]                                
Réception de : 17 http://ftp.fr.debian.org/debian/ sid/main g++-4.4 4.4.7-8 [3 046kB]                                         
Réception de : 18 http://ftp.fr.debian.org/debian/ sid/main gcc-4.4 4.4.7-8 [1 811kB]                                         
Réception de : 19 http://ftp.fr.debian.org/debian/ sid/main gcc-4.4-base 4.4.7-8 [127kB]                                      
Réception de : 20 http://ftp.fr.debian.org/debian/ sid/main gcc-4.8-base 4.8.2-21 [153kB]                                     
Réception de : 21 http://ftp.fr.debian.org/debian/ sid/main libgcj14 4.8.2-21 [7 891kB]                                       
Réception de : 22 http://ftp.fr.debian.org/debian/ sid/main pdftk 2.01-1 [1 018kB]                                            
Réception de : 23 http://ftp.fr.debian.org/debian/ sid/main libquadmath0 4.9.0-3 [193kB]                                      
Réception de : 24 http://ftp.fr.debian.org/debian/ sid/main libgfortran3 4.9.0-3 [235kB]                                      
Réception de : 25 http://ftp.fr.debian.org/debian/ sid/main gcc-4.9-base 4.9.0-3 [155kB]                                      
Réception de : 26 http://ftp.fr.debian.org/debian/ sid/main libgcc1 1:4.9.0-3 [48,0kB]                                        
Réception de : 27 http://ftp.fr.debian.org/debian/ sid/main libstdc++6 4.9.0-3 [287kB]                                        
Réception de : 28 http://ftp.fr.debian.org/debian/ sid/main libasan0 4.8.2-21 [64,0kB]                                        
Réception de : 29 http://ftp.fr.debian.org/debian/ sid/main libatomic1 4.9.0-3 [8 480B]                                       
Réception de : 30 http://ftp.fr.debian.org/debian/ sid/main libisl10 0.12.2-1 [447kB]                                         
Réception de : 31 http://ftp.fr.debian.org/debian/ sid/main libcloog-isl4 0.18.2-1 [60,1kB]                                   
Réception de : 32 http://ftp.fr.debian.org/debian/ sid/main libitm1 4.9.0-3 [30,7kB]                                          
Réception de : 33 http://ftp.fr.debian.org/debian/ sid/main libmpc3 1.0.1-1 [47,1kB]                                          
Réception de : 34 http://ftp.fr.debian.org/debian/ sid/main cpp-4.8 4.8.2-21 [4 272kB]                                        
Réception de : 35 http://ftp.fr.debian.org/debian/ sid/main libgcc-4.8-dev 4.8.2-21 [1 732kB]                                 
Réception de : 36 http://ftp.fr.debian.org/debian/ sid/main gcc-4.8 4.8.2-21 [4 566kB]                                        
Réception de : 37 http://ftp.fr.debian.org/debian/ sid/main libstdc++-4.8-dev 4.8.2-21 [1 039kB]                              
Réception de : 38 http://ftp.fr.debian.org/debian/ sid/main g++-4.8 4.8.2-21 [4 651kB]                                        
Réception de : 39 http://ftp.fr.debian.org/debian/ sid/main libitext-java 2.1.7-8 [1 070kB]                                   
Réception de : 40 http://ftp.fr.debian.org/debian/ sid/main libbcprov-java 1.49+dfsg-2 [1 999kB]                              
Réception de : 41 http://ftp.fr.debian.org/debian/ sid/main libbcpkix-java 1.49+dfsg-2 [532kB]                                
56,4Mo réceptionnés en 27s (2 078ko/s)                                                                                        
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
(Lecture de la base de données... 216981 fichiers et répertoires déjà installés.)
Préparation du remplacement de locales 2.11+git20100304-3 (en utilisant .../locales_2.18-6_all.deb) ...
Dépaquetage de la mise à jour de locales ...
dpkg-deb: le fichier « /var/cache/apt/archives/locales_2.18-6_all.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/locales_2.18-6_all.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Préparation du remplacement de make 3.81-7ubuntu1 (en utilisant .../archives/make_4.0-7_i386.deb) ...
Dépaquetage de la mise à jour de make ...
dpkg-deb: le fichier « /var/cache/apt/archives/make_4.0-7_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/make_4.0-7_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Préparation du remplacement de pkg-config 0.22-1build2 (en utilisant .../pkg-config_0.28-1_i386.deb) ...
Dépaquetage de la mise à jour de pkg-config ...
dpkg-deb: le fichier « /var/cache/apt/archives/pkg-config_0.28-1_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/pkg-config_0.28-1_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
dpkg : tentative de déconfiguration de make, qui serait cassé par l'installation de libc6-dev ...
dpkg : oui, déconfiguration de make (cassé par libc6-dev).
dpkg : tentative de déconfiguration de pkg-config, qui serait cassé par l'installation de libc6-dev ...
dpkg : oui, déconfiguration de pkg-config (cassé par libc6-dev).
Préparation du remplacement de libc6-dev 2.11.1-0ubuntu7.12 (en utilisant .../libc6-dev_2.18-6_i386.deb) ...
Déconfiguration de pkg-config ...
Déconfiguration de make ...
Dépaquetage de la mise à jour de libc6-dev ...
dpkg-deb: le fichier « /var/cache/apt/archives/libc6-dev_2.18-6_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/libc6-dev_2.18-6_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Préparation du remplacement de libc-dev-bin 2.11.1-0ubuntu7.12 (en utilisant .../libc-dev-bin_2.18-6_i386.deb) ...
Dépaquetage de la mise à jour de libc-dev-bin ...
dpkg-deb: le fichier « /var/cache/apt/archives/libc-dev-bin_2.18-6_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/libc-dev-bin_2.18-6_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Préparation du remplacement de libnih-dbus1 1.0.1-1 (en utilisant .../libnih-dbus1_1.0.3-4.2+b1_i386.deb) ...
Dépaquetage de la mise à jour de libnih-dbus1 ...
dpkg-deb: le fichier « /var/cache/apt/archives/libnih-dbus1_1.0.3-4.2+b1_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/libnih-dbus1_1.0.3-4.2+b1_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Préparation du remplacement de libnih1 1.0.1-1 (en utilisant .../libnih1_1.0.3-4.2+b1_i386.deb) ...
Dépaquetage de la mise à jour de libnih1 ...
dpkg-deb: le fichier « /var/cache/apt/archives/libnih1_1.0.3-4.2+b1_i386.deb » contient l'élément de données non compris (data.tar.xz     ), abandon
dpkg : erreur de traitement de /var/cache/apt/archives/libnih1_1.0.3-4.2+b1_i386.deb (--unpack) :
 le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                dpkg : erreur de traitement de /var/cache/apt/archives/libc6_2.18-6_i386.deb (--unpack) :
 erreur d'analyse, dans le fichier '/var/lib/dpkg/tmp.ci/control' vers la ligne 10 paquet 'libc6':
 champ « Conflicts », nom de paquet incorrect « libc6:alpha » : caractère « : » non autorisé (seuls les lettres, les chiffres et « -+._ » le sont)
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/locales_2.18-6_all.deb
 /var/cache/apt/archives/make_4.0-7_i386.deb
 /var/cache/apt/archives/pkg-config_0.28-1_i386.deb
 /var/cache/apt/archives/libc6-dev_2.18-6_i386.deb
 /var/cache/apt/archives/libc-dev-bin_2.18-6_i386.deb
 /var/cache/apt/archives/libnih-dbus1_1.0.3-4.2+b1_i386.deb
 /var/cache/apt/archives/libnih1_1.0.3-4.2+b1_i386.deb
 /var/cache/apt/archives/libc6_2.18-6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Comme vous l'aurez remarqué les erreurs de sortie d'état 1 et 2 se succèdent et bloquent tout le procédé. Plus de live CD, et mes documents ne sont pas sur une partition séparée. Je pensais en avoir fait une copie sur un disque dur externe quand l'horreur s'est produite : des erreurs I/O ont tout rasé, détruisant de très précieux documents dans la foulée. Passons. Je ne tiens pas spécialement à faire passer mon Ubuntu à la version 14.04, mais je ne suis pas contre corriger ce qui m'empêche de télécharger/MàJ certains paquets. tongue Un petit coup de main ?

Merci d'avance pour ceux qui auront la foi/patience/le courage (rayez la mention inutile) de lire ce pavé smile .

Dernière modification par Chloros (Le 29/05/2014, à 19:50)

Hors ligne

#2 Le 25/05/2014, à 10:07

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Bonjour,

As-tu essayé de faire :

apt-get autoclean
apt-get clean
apt-get dist-upgrade -s

et de passer par synaptic pour corriger les paquets cassés ?

Dernière modification par waxdesf (Le 25/05/2014, à 10:08)


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#3 Le 25/05/2014, à 10:16

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Bien sûr. J'ai aussi fait un petit coup de

sudo apt-get autoremove

juste au cas où le problème ne viendrait pas d'un paquet particulier.

Tiens, pour le fun, je refais le coup :

黒の中:~/Bureau$ sudo apt-get autoclean
[sudo] password for chloros: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Del libquadmath0 4.9.0-3 [193kB]
Del gcc-4.8-base 4.8.2-21 [153kB]
Del libc6-dev 2.18-6 [3 034kB]
Del libatomic1 4.9.0-3 [8 480B]
Del libgfortran3 4.9.0-3 [235kB]
Del gcc-4.8 4.8.2-21 [4 566kB]
Del libstdc++-4.8-dev 4.8.2-21 [1 039kB]
Del libgcc-4.8-dev 4.8.2-21 [1 732kB]
Del multiarch-support 2.18-6 [168kB]
Del gcc-4.9-base 4.9.0-3 [155kB]
Del libgomp1 4.9.0-3 [39,2kB]
Del libc6-i686 2.18-6 [1 158kB]
Del libgcc1 1:4.9.0-3 [48,0kB]
Del libstdc++6 4.9.0-3 [287kB]
Del libc-dev-bin 2.18-6 [229kB]
Del cpp-4.8 4.8.2-21 [4 272kB]
Del libasan0 4.8.2-21 [64,0kB]
Del locales 2.18-6 [3 912kB]
Del libc6 2.18-6 [3 958kB]
Del libitm1 4.9.0-3 [30,7kB]
Del libgcj14 4.8.2-21 [7 891kB]
Del g++-4.8 4.8.2-21 [4 651kB]
黒の中:~/Bureau$ sudo apt-get clean
黒の中:~/Bureau$ sudo apt-get dist-upgrade -s
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
  g++-4.4: Dépend: gcc-4.4 (= 4.4.3-4ubuntu5.1) mais il n'est pas installé
  gcc: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Tiens, c'est marrant ça, il ne m'avait rien affiché la dernière fois que j'avais lancé l'autoclean.

Voyons voir Synaptic, alors.
…… « Il y a trois paquets cassés sur votre système. Utiliser le filtre "Cassés" pour les trouver. »
… g++, g++-4.4 et gcc .
Bon ben une seconde, le temps de les supprimer et on va voir si les commandes fonctionnent mieux. À tout de suite !

[EDIT] Mama mia, il faudrait désinstaller pratiquement tous les programmes de mon PC pour supprimer ces trois petits paquets ! Il n'y a pas un moyen moins violent ?

[EDIT2] Bon, en demandant la mise à jour des paquets, j'ai pu « éviter le pire ». Mais l'opération a quand même planté ! Voilà tout ce que j'ai pu copier (impossible de faire Ctrl-C sur la fenêtre de mise à jour) :

E: /var/cache/apt/archives/locales_2.18-7_all.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/make_4.0-7_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/pkg-config_0.28-1_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/libc6-dev_2.18-7_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/libc-dev-bin_2.18-7_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/libnih-dbus1_1.0.3-4.2+b1_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2
E: /var/cache/apt/archives/libnih1_1.0.3-4.2+b1_i386.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2

Dernière modification par Chloros (Le 25/05/2014, à 10:24)

Hors ligne

#4 Le 25/05/2014, à 10:31

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Il y a une fonction "Edition/Réparer les paquets cassés" non ? C'est elle qui retourne ça  : ?

…… « Il y a trois paquets cassés sur votre système. Utiliser le filtre "Cassés" pour les trouver. »
… g++, g++-4.4 et gcc .

Sinon que donne:

apt-get install g++ -f --reinstall
apt-get dist-upgrade

et idem pour les autres si ça marche:

apt-get install g++-4.4 -f -- reinstall
apt-get install gcc -f --reinstall
apt-get dist-upgrade

Dernière modification par waxdesf (Le 25/05/2014, à 10:33)


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#5 Le 25/05/2014, à 10:42

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Je pense que tu peux aussi tester :

sudo dpkg --configure -a

pour reconfigurer les paquets,

et tenter de réinstaller ce qui manque avec :

sudo apt-get update
sudo apt-get install -f
sudo apt-get dist-upgrade -f

Dernière modification par waxdesf (Le 25/05/2014, à 10:42)


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#6 Le 25/05/2014, à 10:42

maxire

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Salut,

Je ne comprends pas, tu parles de Ubuntu et je vois un debian Sid ici (cf. 1er message):

Réception de : 1 http://ftp.fr.debian.org/debian/ sid/main

Ce qui est certain c'est que si tu as un Ubuntu installé et que seuls les dépôts Debian/Sid sont en ligne cela ne peut pas marcher.

Dernière modification par maxire (Le 25/05/2014, à 11:04)


Maxire
Archlinux/Mate + Ubuntu 18.04 + Lubuntu 18.04 + Archlinux/Gnome + Windows 10 Familial sur portable -- Archlinux/Mate sur poste de travail

Hors ligne

#7 Le 25/05/2014, à 10:45

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

en effet !

peux tu poster le retour de :

cat /etc/apt/sources.list

Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#8 Le 25/05/2014, à 10:49

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Ah ben v’la autre chose. J'ai quitté Synaptic pour tester les commandes que tu m'as suggérées, Wax. J'obtiens :

黒の中:~/Bureau$ sudo apt-get install g++ -f --reinstall
[sudo] password for chloros: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: cpp (>= 4:4.8.2-4) mais 4:4.4.3-1ubuntu1 devra être installé
       Dépend: gcc (>= 4:4.8.2-4) mais 4:4.4.3-1ubuntu1 devra être installé
       Dépend: g++-4.8 (>= 4.8.2-5~) mais ne sera pas installé
       Dépend: gcc-4.8 (>= 4.8.2-5~) mais ne sera pas installé
  g++-4.4: Dépend: gcc-4.4 (= 4.4.3-4ubuntu5.1) mais ne sera pas installé
  gcc: Dépend: gcc-4.4 (>= 4.4.3-1) mais ne sera pas installé
  libc-dev-bin: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
  libc6: Casse: locales (< 2.18)
  libc6-dev: Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libc6-i686: Pré-Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libnih1: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
黒の中:~/Bureau$ sudo apt-get install g++-4.4 -f --reinstall
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: gcc-4.4 (>= 4.4.3-1) mais ne sera pas installé
  g++-4.4: Dépend: gcc-4.4-base (= 4.4.7-8) mais 4.4.3-4ubuntu5.1 devra être installé
           Dépend: gcc-4.4 (= 4.4.7-8) mais ne sera pas installé
           Dépend: libstdc++6-4.4-dev (= 4.4.7-8) mais 4.4.3-4ubuntu5.1 devra être installé
           Dépend: libgmp10 mais ne sera pas installé
           Dépend: libmpfr4 (>= 3.1.2) mais ne sera pas installé
  gcc: Dépend: gcc-4.4 (>= 4.4.3-1) mais ne sera pas installé
  libc-dev-bin: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
  libc6: Casse: locales (< 2.18)
  libc6-dev: Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libc6-i686: Pré-Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libnih1: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
  libstdc++6-4.4-dev: Dépend: g++-4.4 (= 4.4.3-4ubuntu5.1) mais 4.4.7-8 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
黒の中:~/Bureau$ sudo apt-get install gcc -f --reinstall
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: gcc-4.4 (>= 4.4.3-1) mais ne sera pas installé
  g++-4.4: Dépend: gcc-4.4 (= 4.4.3-4ubuntu5.1) mais ne sera pas installé
  gcc: Dépend: cpp (>= 4:4.8.2-4) mais 4:4.4.3-1ubuntu1 devra être installé
       Dépend: gcc-4.8 (>= 4.8.2-5~) mais ne sera pas installé
  libc-dev-bin: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
  libc6: Casse: locales (< 2.18)
  libc6-dev: Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libc6-i686: Pré-Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 devra être installé
  libnih1: Dépend: libc6 (< 2.12) mais 2.18-7 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Et maintenant que je relance Synaptic, j'ai carrément le message : « You have 8 broken packages on your system! Use the "Broken" filter to locate them. »
Visiblement, j'ai dû dérégler la locale qui gère la langue du système. Peu importe. Maintenant les paquets cassés sont g++, g++-4.4, gcc, libc-dev-bin, libc6, libc6-dev, libc6-i686, libnih1.
Voyons voir… Edit > Fix Broken PackagesApply

E: /var/cache/apt/archives/locales_2.18-7_all.deb: le sous-processus dpkg-deb --fsys-tarfile a retourné une erreur de sortie d'état 2

Etttt… petite capture puisque je ne peux pas faire Ctrl-C :
Capture Synaptic

=======================================

[EDIT] Et voilà le fichier demandé !

You have 8 broken packages on your system! Use the "Broken" filter to locate them.
# deb cdrom:[Ubuntu 8.04.1 _Hardy Heron_ - Release i386 (20080702.1)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ lucid restricted main
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid restricted

## Major bug fix updates produced after the final release of the
## distribution.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu lucid partner
deb-src http://archive.canonical.com/ubuntu lucid partner


## Dépôts Universe Multiverse
#############################
deb http://security.ubuntu.com/ubuntu/ lucid-security restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-backports restricted main multiverse universe
deb http://ftp.fr.debian.org/debian sid main

Dernière modification par Chloros (Le 25/05/2014, à 10:51)

Hors ligne

#9 Le 25/05/2014, à 11:00

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

et peux tu poster le retour complet de

apt-get update

?



Sinon, je te renvoie à la documentation de lucid

doc a écrit :

Fin de vie depuis le 09 mai 2013 (édition pour postes de travail)
Depuis le 09 mai 2013, Ubuntu 10.04 LTS pour postes de travail est en fin de vie (end of life, EOL). Elle ne profite plus de nouvelle mise à jour de sécurité et les paquets logiciels pour cette version sont déplacés dans des serveurs d'archive. Pour continuer à recevoir des mises à jour de sécurité, veuillez mettre à niveau votre version d'Ubuntu vers une version activement soutenue.

Peut-être qu'une fois le problème résolu, il faudrait penser à faire un mise à niveau (pas nécessairement une installation de 14.04, mais une migration vers 12.04)

EDIT :

puis à nouveau :

apt-get -f install

Dernière modification par waxdesf (Le 25/05/2014, à 11:03)


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#10 Le 25/05/2014, à 11:08

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

tu devrais probablement lire également ceci :

http://doc.ubuntu-fr.org/old-releases


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#11 Le 25/05/2014, à 11:09

maxire

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Une proposition, mettre en commentaire (signe # en début de ligne) dans le fichier /etc/apt/sources.list:

deb http://ftp.fr.debian.org/debian sid main

suivi d'un

sudo apt-get update

et après ??? je ne sais pas trop, il faudrait utiliser synaptic et faire du nettoyage des paquets "locaux" en forçant la version pour réinstaller les versions Ubuntu si nécessaire.
Cela devrait améliorer les choses, mais bon dans l'état où semble être le système je suis assez pessimiste.

Bon courage !


Maxire
Archlinux/Mate + Ubuntu 18.04 + Lubuntu 18.04 + Archlinux/Gnome + Windows 10 Familial sur portable -- Archlinux/Mate sur poste de travail

Hors ligne

#12 Le 25/05/2014, à 11:15

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Pour être tout à fait honnête, j'utilise Ubuntu depuis 2008 et les problèmes de dépendances entre paquets ne datent pas d'hier. Bien sûr, une fois ce problème résolu, je pense carrément passer sur le nouveau Ubuntu 14.04, mettre mes fichiers en sécurité sur quelques DVD+R et éventuellement passer à Gentoo. Si j'en ai le courage. "Emerge" règlera tous les problèmes de dépendance à la racine, je pense.

Atteint http://ftp.fr.debian.org sid Release.gpg
Atteint http://security.ubuntu.com lucid-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr
Atteint http://archive.canonical.com lucid Release.gpg
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-fr
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/goehle/goehle-ppa/ubuntu/ lucid/main Translation-fr
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ lucid/main Translation-fr
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ lucid/main Translation-fr
Atteint http://ftp.fr.debian.org/debian/ sid/main Translation-fr
Atteint http://security.ubuntu.com lucid-security Release
Atteint http://archive.canonical.com lucid Release
Atteint http://ppa.launchpad.net lucid Release
Atteint http://ppa.launchpad.net lucid Release
Atteint http://ppa.launchpad.net lucid Release
Atteint http://ftp.fr.debian.org sid Release
Atteint http://security.ubuntu.com lucid-security/restricted Packages
Atteint http://archive.canonical.com lucid/partner Packages
Atteint http://ppa.launchpad.net lucid/main Packages
Atteint http://security.ubuntu.com lucid-security/main Packages
Atteint http://security.ubuntu.com lucid-security/multiverse Packages
Atteint http://security.ubuntu.com lucid-security/universe Packages
Atteint http://archive.canonical.com lucid/partner Sources
Atteint http://ppa.launchpad.net lucid/main Packages
Atteint http://ppa.launchpad.net lucid/main Packages
Ign http://ftp.fr.debian.org sid/main Packages
Atteint http://fr.archive.ubuntu.com lucid Release.gpg
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com lucid-updates Release.gpg
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr
Ign http://ftp.fr.debian.org sid/main Packages
Atteint http://ftp.fr.debian.org sid/main Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed Release.gpg
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/main Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/universe Translation-fr
Atteint http://fr.archive.ubuntu.com lucid-backports Release.gpg
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/main Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/multiverse Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/universe Translation-fr
Atteint http://fr.archive.ubuntu.com lucid Release
Atteint http://fr.archive.ubuntu.com lucid-updates Release
Atteint http://fr.archive.ubuntu.com lucid-proposed Release
Atteint http://fr.archive.ubuntu.com lucid-backports Release
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid/main Packages
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources
Atteint http://fr.archive.ubuntu.com lucid/universe Packages
Atteint http://fr.archive.ubuntu.com lucid/universe Sources
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid/multiverse Sources
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/main Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/main Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/universe Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/main Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/universe Packages
Lecture des listes de paquets...

En commentant la ligne que tu suggères, Max, j'obtiens :

黒の中:~/Bureau$ sudo apt-get update
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/goehle/goehle-ppa/ubuntu/ lucid/main Translation-fr                                              
Atteint http://ppa.launchpad.net lucid Release.gpg                                                                            
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ lucid/main Translation-fr                                                   
Atteint http://ppa.launchpad.net lucid Release.gpg                                                                            
Ign http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ lucid/main Translation-fr                                                
Atteint http://archive.canonical.com lucid Release.gpg                                                                        
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-fr                                                         
Atteint http://ppa.launchpad.net lucid Release                                                                                
Atteint http://archive.canonical.com lucid Release                                                                            
Atteint http://ppa.launchpad.net lucid Release                                                                                
Atteint http://ppa.launchpad.net lucid Release                                                                                
Atteint http://security.ubuntu.com lucid-security Release.gpg                                                                 
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr                                               
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr                                                     
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr                                               
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr                                                 
Atteint http://fr.archive.ubuntu.com lucid Release.gpg                                                                        
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr                             
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr                                   
Atteint http://archive.canonical.com lucid/partner Packages                                              
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr                               
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr                             
Atteint http://fr.archive.ubuntu.com lucid-updates Release.gpg                                           
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr                                          
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr                                                
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr                                          
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr                                            
Atteint http://ppa.launchpad.net lucid/main Packages                                                                          
Atteint http://archive.canonical.com lucid/partner Sources                                                                    
Atteint http://ppa.launchpad.net lucid/main Packages                                                     
Atteint http://ppa.launchpad.net lucid/main Packages                                                     
Atteint http://security.ubuntu.com lucid-security Release                                                
Atteint http://fr.archive.ubuntu.com lucid-proposed Release.gpg        
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/main Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/multiverse Translation-fr
Atteint http://security.ubuntu.com lucid-security/restricted Packages
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed/universe Translation-fr
Atteint http://fr.archive.ubuntu.com lucid-backports Release.gpg
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/main Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/multiverse Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/universe Translation-fr
Atteint http://security.ubuntu.com lucid-security/main Packages
Atteint http://security.ubuntu.com lucid-security/multiverse Packages  
Atteint http://security.ubuntu.com lucid-security/universe Packages    
Atteint http://fr.archive.ubuntu.com lucid Release                     
Atteint http://fr.archive.ubuntu.com lucid-updates Release 
Atteint http://fr.archive.ubuntu.com lucid-proposed Release
Atteint http://fr.archive.ubuntu.com lucid-backports Release
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid/main Packages
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources
Atteint http://fr.archive.ubuntu.com lucid/universe Packages
Atteint http://fr.archive.ubuntu.com lucid/universe Sources
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid/multiverse Sources
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/main Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/main Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-proposed/universe Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/main Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/universe Packages
Lecture des listes de paquets... Fait

Ce qui me semble très ressemblant au code juste avant, quand même neutral .

===================================================================

[EDIT] Et maintenant, le résultat de la commande initiale :

黒の中:~/Bureau$ sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  ubuntuone-client python-crypto python-docky liblash2 python-fstab libclucene0ldbl libgladeui-1-9 bluez-alsa
  openoffice.org-l10n-ru xorg-docs-core syslinux libmono-getoptions2.0-cil libswscale0 libgtk2.0-0-dbg wavpack
  python-pygoocanvas libchewing3-data libgsf-gnome-1-114 python-opengl ttf-umefont libqca2 libmtp8 libboost-regex1.40.0
  libcolamd2.7.1 lp-solve gstreamer0.10-plugins-base-dbg libglitz-glx1 libqt4-assistant python-pyinotify libevent-1.4-2
  libatk1.0-dbg python-pexpect libtasn1-3-dev libpackagekit-glib2-12 bluez-gstreamer mppenc python-mako ttf-wqy-zenhei
  libgda-4.0-common libapparmor1 libgcj-bc libgsf-1-114-dbg mobile-broadband-provider-info libxcb-keysyms1
  libgoffice-0.8-8-common x11proto-kb-dev libkadm5clnt-mit7 python-protobuf libgpg-error-dev deluge-common libotf0
  libgda3-common wine1.3-gecko python-ubuntuone-storageprotocol python-evince libdiscid0 ttf-dejavu-extra
  libwvstreams4.6-base twolame libpango1.0-0-dbg libxml-namespacesupport-perl librsvg2-2.18-cil libsilc-1.1-2 libsvga1
  libgfortran3 oxygen-icon-theme libboost-program-options1.40.0 libqt4-test libvamp-hostsdk3 libopts25 cmake-data
  libapparmor-perl libqt4-sql-mysql libqt4-dbus ibus-pinyin-db-open-phrase libibus1 ibus-gtk kdelibs-data libnm-util1
  libhtml-template-perl libxcb-xv0 libopts25-dev python-newt libsctp1 libavidemux0 protobuf-compiler libindicate-gtk2
  libgoocanvas-common lockfile-progs autogen libmono-system-runtime2.0-cil bcmwl-modaliases shared-desktop-ontologies
  libupower-glib1 audacity-data libpostproc51 liblualib50 autoconf libflac++6 python-dbg anjuta-common libcddb2
  libtotem-plparser17 transcode-doc python-lxml python-telepathy libboost-thread1.40.0 computer-janitor libgdl-1-dbg
  libxine1-bin libxdmcp-dev odbcinst mp3gain vorbisgain libavahi-client-dev libxft2-dbg libavformat52 libdvbpsi5
  exuberant-ctags libgcj10 python-cairo-dbg libfontconfig1-dbg python-gtkspell libgssrpc4 libgnome-bluetooth7
  libpackagekit-qt-12 guile-1.8-libs libloudmouth1-0 dnsmasq-base unixodbc libsvn1 libchewing3 libakonadiprivate1
  libqt4-xmlpatterns libgmime2.4-cil ttf-liberation libtorrent-rasterbar5 libsoprano4 python-couchdb mysql-server-core-5.1
  libflickrnet2.2-cil liblaunchpad-integration1.0-cil xinput libgssdp-1.0-2 libvlc2 libgdu-gtk0 libgsf-gnome-1-114-dbg
  emacsen-common x11proto-core-dev speex python-numpy gstreamer0.10-ffmpeg python-avahi gcj-4.4-base libibus-qt1
  libxine1-ffmpeg python-sip kdelibs5-data winetricks vlc-nox gstreamer0.10-plugins-ugly-dbg odbcinst1debian1 libgda-4.0-4
  pinyin-database libgcj-common liblouis0 libmikmod2 python-gnomeprint obexd-client ttf-symbol-replacement-wine1.3 libupnp3
  autotools-dev libxml-libxml-perl libnm-glib2 libxcb-shape0 icedax avidemux-common libwxbase2.8-0 libxml-sax-perl
  libgmime-2.4-2 libloudmouth1-0-dbg python-louis libglitz1 libwmf-bin libxml2-dbg python-rsvg libavfilter0 python2.6-dbg
  x11proto-input-dev telepathy-mission-control-5 libspeechd2 libqt4-sql libwrap0-dev fglrx-modaliases libgnomecanvas2-dbg
  libnunit2.4-cil libclutter-gtk-0.10-0 cabextract ubuntu-mono python-appindicator libpthread-stubs0-dev tcl telepathy-gabble
  lksctp-tools python-packagekit nvidia-current-modaliases libsnmp-perl libstreamanalyzer0 nvidia-173-modaliases os-prober
  libnss3-1d-dbg libiso9660-7 libsox-fmt-base libpthread-stubs0 sox libqt4-xml libzip1 python-uniconvertor
  python-gnomekeyring libportmidi0 libblas3gf openoffice.org-l10n-zh-cn fuseiso tcl8.4 libsphinx2g0 gstreamer0.10-nice
  ttf-arphic-ukai python-numpy-dbg automake libqt4-network ttf-dejavu libcap-ng0 sphinx2-hmm-6k python-bugbuddy
  python-egenix-mxdatetime libtiffxx0c2 liblapack3gf libkadm5srv-mit7 python-totem-plparser openoffice.org-l10n-zh-tw
  libgupnp-1.0-3 libsox-fmt-alsa libattica0 tk8.4 python-configglue liblua5.1-0 firefox-locale-en nvidia-common
  firefox-locale-fr firefox-locale-ja python-egenix-mxtools libmpg123-0 gir1.0-clutter-gtk-0.10 libgda3-3 librsvg2-dbg
  libnspr4-0d-dbg filezilla-common libgda3-3-dbg libsilcclient-1.1-3 openoffice.org-l10n-en-gb firefox-locale-ru
  libgdict-1.0-6 libstreams0 vlc-data libzephyr4 libboost-filesystem1.40.0 packagekit-backend-apt firefox-locale-zh-hans
  firefox-locale-zh-hant libgtkhex0 libuniconf4.6 adium-theme-ubuntu libwvstreams4.6-extras libgnome-keyring1.0-cil libtar
  libkdb5-4 python-ubuntuone-client odt2txt libglib2.0-0-dbg winbind grub-common liblua50 mkvtoolnix python-eyed3
  libqt4-script libsox1a libquicktime1 libnice0 libavahi-common-dev libvala0 liblouis-data libssh-4 virtuoso-nepomuk
  libxcb-shm0 python-chardet python-ibus libvlccore2 soprano-daemon libltdl-dev libvcdinfo0 kdebase-runtime-data libebml0
  libboost-system1.40.0 libbt libiodbc2 libprotoc5 gstreamer0.10-gnonlin libieee1284-3-dev nvidia-96-modaliases
  kdepimlibs-data libglademm-2.4-1c2a libgoocanvas3 libmatroska0 modemmanager libgupnp-igd-1.0-2 libboost-python1.40.0
  python-libtorrent libgdl-1-3 gimp-dbg python-gobject-dbg libnotify0.4-cil python-rdflib ttf-droid libgstreamer0.10-0-dbg
  libgdata-common python-gtop openoffice.org-l10n-fr openoffice.org-l10n-ja hplip-data libxine1-console python-gtk2-dbg
  liblockfile1 libgdl-1-common libdotconf1.0 libv4l-dev libfaac0 libmusicbrainz3-6 libavdevice52 python-indicate
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  gcc-4.4 landscape-client landscape-common libxml2 libxml2-dbg php5-cgi php5-common php5-gd php5-mysql
Paquets suggérés :
  gcc-4.4-multilib libmudflap0-4.4-dev gcc-4.4-doc gcc-4.4-locales libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloog-ppl0
  libppl-c2 libppl7 php-pear php5-suhosin
Les paquets suivants seront ENLEVÉS :
  acetoneiso acpi-support acpid agave aisleriot alsa-base alsa-utils anacron anjuta anjuta-dbg apache2 apache2-mpm-prefork
  apache2.2-common apmd apparmor apparmor-utils apport apport-gtk aptdaemon apturl at at-spi audacity avahi-daemon
  avahi-utils avidemux bbkeys beneath-a-steel-sky bluetooth bluez bluez-cups bluez-utils brasero brasero-common brltty
  brltty-x11 bug-buddy build-essential byobu capplets-data checkbox checkbox-gtk comerr-dev comix compiz compiz-core
  compiz-fusion-plugins-extra compiz-fusion-plugins-main compiz-gnome compiz-plugins compizconfig-backend-gconf
  compizconfig-settings-manager computer-janitor-gtk console-setup consolekit couchdb-bin cron cryptsetup cups
  cups-driver-gutenprint cupsys cupsys-driver-gutenprint dbus dbus-x11 deluge deluge-gtk deluge-torrent desktopcouch
  devhelp-common dmsetup docky e2fsprogs edgar ekiga empathy empathy-common eog eog-dbg epiphany-browser
  epiphany-browser-data epiphany-browser-dbg erlang-base erlang-crypto erlang-inets erlang-mnesia erlang-public-key
  erlang-runtime-tools erlang-ssl erlang-syntax-tools erlang-xmerl evince evince-dbg evolution evolution-couchdb
  evolution-data-server evolution-data-server-dbg evolution-dbg evolution-exchange evolution-indicator evolution-plugins
  evolution-webcal f-spot ffmpeg file-roller filezilla firefox firefox-3.0 firefox-gnome-support flashplugin-installer
  flashplugin-nonfree foo2zjs foomatic-db foomatic-db-engine friendly-recovery ftp g++ g++-4.4 gbrainy gcalctool
  gconf-defaults-service gconf-editor gconf2 gconf2-common gdebi gdebi-kde gdm gdm-guest-session gedit ghex ghostscript-cups
  ghostscript-x gimp gir1.0-gconf-2.0 gksu glchess glines gnect gnibbles gnobots2 gnome-about gnome-alsamixer gnome-applets
  gnome-applets-data gnome-applets-dbg gnome-bluetooth gnome-codec-install gnome-control-center gnome-dbg gnome-disk-utility
  gnome-games gnome-games-common gnome-keyring gnome-mag gnome-mahjongg gnome-media gnome-media-common gnome-netstatus-applet
  gnome-nettool gnome-orca gnome-panel gnome-panel-data gnome-panel-dbg gnome-pilot gnome-pilot-conduits gnome-power-manager
  gnome-screensaver gnome-session gnome-session-bin gnome-session-canberra gnome-settings-daemon gnome-sudoku
  gnome-system-monitor gnome-system-tools gnome-terminal gnome-terminal-data gnome-user-guide gnome-user-guide-en
  gnome-user-guide-fr gnome-user-guide-ja gnome-user-guide-ru gnome-user-guide-zh gnome-user-share gnome-utils
  gnome-voice-control gnomebaker gnomine gnotravex gnotski grub gsfonts-x11 gstreamer0.10-gnomevfs
  gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-good gstreamer0.10-plugins-good-dbg gstreamer0.10-pulseaudio
  gtali gtk-recordmydesktop gtranslator gucharmap gvfs gvfs-backends gvfs-bin gvfs-fuse gwibber gwibber-service hal hostname
  hplip hwtest hwtest-gtk iagno ibus ibus-anthy ibus-chewing ibus-m17n ibus-pinyin ibus-qt4 ibus-table ibus-table-cangjie
  ibus-table-wubi icoutils ifupdown imagemagick indicator-applet indicator-applet-session indicator-me indicator-session
  indicator-sound initramfs-tools initscripts inkscape install-package intltool ipscan irqbalance jedit jockey-common
  jockey-gtk kbd kde-l10n-engb kde-l10n-fr kde-l10n-ja kde-l10n-ru kde-l10n-zhcn kde-l10n-zhtw kdebase-runtime kdelibs-bin
  kdelibs4c2a kdelibs5 kdemultimedia-kio-plugins kdepimlibs5 kdesudo kpackagekit krb5-multidev kubuntu-debug-installer
  language-pack-en language-pack-en-base language-pack-fr language-pack-fr-base language-pack-gnome-en
  language-pack-gnome-en-base language-pack-gnome-fr language-pack-gnome-fr-base language-pack-gnome-ja
  language-pack-gnome-ja-base language-pack-gnome-ru language-pack-gnome-ru-base language-pack-gnome-zh
  language-pack-gnome-zh-hans language-pack-gnome-zh-hans-base language-pack-gnome-zh-hant language-pack-gnome-zh-hant-base
  language-pack-ja language-pack-ja-base language-pack-kde-en language-pack-kde-en-base language-pack-kde-fr
  language-pack-kde-fr-base language-pack-kde-ja language-pack-kde-ja-base language-pack-kde-ru language-pack-kde-ru-base
  language-pack-kde-zh-hans language-pack-kde-zh-hans-base language-pack-kde-zh-hant language-pack-kde-zh-hant-base
  language-pack-ru language-pack-ru-base language-pack-zh language-pack-zh-hans language-pack-zh-hans-base
  language-pack-zh-hant language-pack-zh-hant-base language-selector language-support-fonts-zh language-support-fonts-zh-hans
  language-support-fonts-zh-hant language-support-input-ja language-support-input-zh-hans language-support-input-zh-hant lftp
  libapache2-mod-php5 libasound2-plugins libatspi-dbg libatspi1.0-0 libaudio2 libavahi-qt3-1 libbcmail-java
  libbcmail-java-gcj libbcprov-java libbonoboui2-0 libbrasero-media0 libc-dev-bin libc6-dev libc6-i686 libcamel1.2-14
  libcanberra-pulse libcompizconfig0 libcouchdb-glib-1.0-2 libcryptui0 libcups2-dev libcupsimage2-dev libdbusmenu-qt2
  libdesktopcouch-glib-1.0-2 libdevhelp-1-1 libebackend1.2-0 libebook1.2-9 libecal1.2-7 libedata-book1.2-2 libedata-cal1.2-6
  libedataserver1.2-11 libedataserverui1.2-8 libegroupwise1.2-13 libexchange-storage1.2-3 libexif-dev libfluidsynth1
  libgail-gnome-dbg libgail-gnome-module libgconf2-4 libgconf2.0-cil libgconfmm-2.6-1c2 libgcrypt11-dev libgdata6 libgdu0
  libgegl-0.0-0 libgksu2-0 libglew1.5 libgnome-desktop-2-17 libgnome-media0 libgnome-pilot2 libgnome-speech7
  libgnome-vfs2.0-cil libgnome-window-settings1 libgnome2-0 libgnome2-common libgnome2-dbg libgnome2-perl libgnome2-vfs-perl
  libgnome2.24-cil libgnomedesktop2.20-cil libgnomekbd-common libgnomekbd4 libgnomepanel2.24-cil libgnomeui-0
  libgnomeui-0-dbg libgnomevfs2-0 libgnomevfs2-0-dbg libgnomevfs2-bin libgnomevfs2-common libgnomevfs2-extra libgnuinet-java
  libgnujaf-java libgnumail-java libgnutls-dev libgoffice-0.8-8 libgoffice-dbg libgphoto2-2-dev libgstfarsight0.10-0
  libgtkglext1 libgtkhtml-editor0 libgtkhtml3.14-19 libgtkhtml3.14-dbg libgtkhtml3.16-cil libgweather-common libgweather1
  libice6 libitext-java libitext-java-gcj libjpeg62-dev libkcddb4 libkrb5-dev liblpint-bonobo0 libm17n-0 libmagick++2
  libmagickcore2 libmagickcore2-extra libmagickwand2 libmetacity-private0 libmjpegtools-1.9 libnet-dbus-perl libnih-dbus1
  libnih1 libnss-mdns liboobs-1-4 liboobs-1-4-dbg libopal3.6.6 libpanel-applet2-0 libphonon4 libplasma3 libpng12-dev
  libpolkit-gtk-1-0 libpolkit-qt-1-0 libpt2.6.5 libpt2.6.5-plugins libpulse-browse0 libpulse-mainloop-glib0 libpulse0
  libpurple0 libqt3-mt libqt4-designer libqt4-help libqt4-opengl libqt4-qt3support libqt4-scripttools libqt4-svg
  libqt4-webkit libqtgui4 librpc-xml-perl libsane-dev libsdl-image1.2 libsdl-mixer1.2 libsdl-ttf2.0-0 libsdl1.2debian
  libsdl1.2debian-pulseaudio libseed0 libsm6 libsmpeg0 libsnmp-dev libsoup-gnome2.4-1 libssl-dev libstartup-notification0
  libstdc++6-4.4-dev libtelepathy-farsight0 libtiff4-dev libtool libubuntuone-1.0-1 libusb-dev libwebkit-1.0-2
  libwebkit-1.0-2-dbg libwnck2.20-cil libwnck22 libwww-perl libwxgtk2.8-0 libx11-dev libxau-dev libxaw7 libxcb1-dev libxine1
  libxine1-misc-plugins libxine1-plugins libxine1-x libxklavier16 libxml-parser-perl libxml-sax-expat-perl libxml-twig-perl
  libxml2-dev libxmu6 libxres1 libxss1 libxt6 libxtst6 libxvmc1 libxxf86dga1 light-themes lightsoff
  linux-backports-modules-2.6.24-28-generic linux-generic linux-image-2.6.24-28-generic linux-image-2.6.32-25-generic
  linux-image-2.6.32-49-generic linux-image-generic linux-sound-base linux-ubuntu-modules-2.6.24-28-generic locales logrotate
  m17n-contrib m17n-db media-player-info mencoder metacity metacity-common mjpegtools mkvtoolnix-gui module-init-tools
  mountall mousetweaks mplayer mysql-server mysql-server-5.1 nautilus nautilus-data nautilus-dbg nautilus-open-terminal
  nautilus-sendto nautilus-sendto-empathy nautilus-share netbase network-manager network-manager-gnome network-manager-pptp
  network-manager-pptp-gnome notification-daemon notify-osd ntfs-3g ntpdate obex-data-server onboard openoffice.org-base-core
  openoffice.org-calc openoffice.org-core openoffice.org-draw openoffice.org-emailmerge openoffice.org-gnome
  openoffice.org-gtk openoffice.org-help-en-gb openoffice.org-help-en-us openoffice.org-help-fr openoffice.org-help-ja
  openoffice.org-help-ru openoffice.org-help-zh-cn openoffice.org-help-zh-tw openoffice.org-impress openoffice.org-math
  openoffice.org-pdfimport openoffice.org-style-galaxy openoffice.org-writer openprinting-ppds openssh-server packagekit
  paman pcmciautils pdfedit pdftk perlmagick phonon phonon-backend-xine pidgin pidgin-libnotify pidgin-otr pinentry-qt4
  pitivi plasma-scriptengine-javascript plowshare plymouth plymouth-label plymouth-theme-ubuntu-logo
  plymouth-theme-ubuntu-text plymouth-x11 pm-utils pm-utils-powersave-policy policykit policykit-1 policykit-1-gnome
  polkit-kde-1 postfix powermgmt-base ppp pppconfig pppoeconf pptp-linux procps pulseaudio pulseaudio-esound-compat
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11 pulseaudio-utils pxljr pyrenamer python-aptdaemon
  python-aptdaemon-gtk python-compizconfig python-desktopcouch python-desktopcouch-records python-evolution python-farsight
  python-gconf python-gnome2 python-gnome2-desktop python-gnomeapplet python-gnomedesktop python-gtkglext1 python-kde4
  python-mediaprofiles python-metacity python-papyon python-pyatspi python-pygame python-qt4 python-speechd python-ubuntuone
  python-uno python-virtkey python-webkit python-wnck quadrapassel rawstudio recordmydesktop rhythmbox rhythmbox-dbg
  rhythmbox-plugin-cdrecorder rhythmbox-plugins rhythmbox-ubuntuone-music-store rss-glx rsyslog screen
  screen-resolution-extra screensaver-default-images scummvm seahorse seed simple-scan skype software-center
  software-properties-gtk software-properties-kde sound-juicer soundkonverter speech-dispatcher splix startupmanager
  sun-java6-bin sun-java6-jre swell-foop sysinfo system-config-printer-gnome system-tools-backends telepathy-butterfly
  telepathy-haze telepathy-salut telnet timidity timidity-daemon tomboy totem totem-common totem-dbg totem-gstreamer
  totem-mozilla totem-plugins tracker tracker-search-tool transcode transmission-gtk tsclient ttf-mscorefonts-installer
  ubufox ubuntu-artwork ubuntu-desktop ubuntu-docs ubuntu-standard ubuntu-system-service ubuntu-wallpapers
  ubuntuone-client-gnome udev udisks ufw update-manager update-manager-kde update-notifier upower upstart ureadahead
  usb-creator-common usb-creator-gtk util-linux util-linux-locales vinagre vino vlc vlc-plugin-pulse wine wine1.3
  wireless-crda wvdial x-ttcidfont-conf x11-apps x11-common x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils
  x11-xserver-utils xbase-clients xchat xchat-common xclip xfonts-100dpi xfonts-75dpi xfonts-base xfonts-encodings
  xfonts-mathml xfonts-scalable xfonts-utils xfonts-wqy xine-plugin xinit xorg xscreensaver-data xscreensaver-gl
  xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-amd xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-geode
  xserver-xorg-video-glint xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-nv
  xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-v4l xserver-xorg-video-vesa xserver-xorg-video-via xserver-xorg-video-vmware
  xserver-xorg-video-voodoo xterm xtrans-dev xul-ext-ubufox xulrunner-1.9.2 xulrunner-1.9.2-gnome-support xutils yelp
  zlib1g-dev
Les NOUVEAUX paquets suivants seront installés :
  gcc-4.4 php5-cgi
Les paquets suivants seront mis à jour :
  landscape-client landscape-common libxml2 libxml2-dbg php5-common php5-gd php5-mysql
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  e2fsprogs util-linux (en raison de e2fsprogs) hostname upstart (en raison de hostname)
7 mis à jour, 2 nouvellement installés, 764 à enlever et 98 non mis à jour.
Il est nécessaire de prendre 12,6Mo dans les archives.
Après cette opération, 3 676Mo d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]Non, pas moyen, mec !
Annulation.

Dernière modification par Chloros (Le 25/05/2014, à 11:22)

Hors ligne

#13 Le 25/05/2014, à 11:22

waxdesf

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Pour commencer je pense que tu devrais suivre le conseil de

maxire a écrit :

Une proposition, mettre en commentaire (signe # en début de ligne) dans le fichier /etc/apt/sources.list:

deb http://ftp.fr.debian.org/debian sid main

suivi d'un

sudo apt-get update

donc remplacer la ligne précédente (fin du fichier sources.list) par

#deb http://ftp.fr.debian.org/debian sid main

et recommencer les manips de réparation que nous avons tenté jusque là,

sudo apt-get -f install
sudo apt-get dist-upgrade

etc.


Ubuntu 17.10 / ASUS S550CM
Intel i7-3517U 1.9GHz
Nvidia GT 635M / Intel HD

Hors ligne

#14 Le 25/05/2014, à 11:24

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

C'est fait, Wax. J'ai posté la réponse dans mon message au dessus.

Sauf le "dist-upgrade".

黒の中:~/Bureau$ sudo apt-get dist-upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
  g++-4.4: Dépend: gcc-4.4 (= 4.4.3-4ubuntu5.1) mais il n'est pas installé
  gcc: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
  libc-dev-bin: Dépend: libc6 (< 2.12) mais 2.18-7 est installé
  libc6: Casse: locales (< 2.18) mais 2.11+git20100304-3 est installé
  libc6-dev: Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 est installé
  libc6-i686: Pré-Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 est installé
  libnih1: Dépend: libc6 (< 2.12) mais 2.18-7 est installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Hors ligne

#15 Le 25/05/2014, à 11:25

nam1962

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Il faut surtout commenter la ligne proposed qui ne peut qu'apporter des catas...


[ Modéré ]

Hors ligne

#16 Le 25/05/2014, à 11:27

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Comme je viens de le dire (deux fois), c'est fait.

# deb cdrom:[Ubuntu 8.04.1 _Hardy Heron_ - Release i386 (20080702.1)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ lucid restricted main
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid restricted

## Major bug fix updates produced after the final release of the
## distribution.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu lucid partner
deb-src http://archive.canonical.com/ubuntu lucid partner


## Dépôts Universe Multiverse
#############################
deb http://security.ubuntu.com/ubuntu/ lucid-security restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-backports restricted main multiverse universe
# deb http://ftp.fr.debian.org/debian sid main

Hors ligne

#17 Le 25/05/2014, à 11:30

nam1962

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Non....

Je parle de cette ligne :

deb http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed restricted main multiverse universe

Dernière modification par nam1962 (Le 25/05/2014, à 11:31)


[ Modéré ]

Hors ligne

#18 Le 25/05/2014, à 11:39

maxire

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Virer les maj proposed n'ont une influence qu'à l'exécution des programmes pas sur les problèmes de dépendances, mais bon,c'est également un moyen de clarifier la situation.
Je pense que dans l'état où est le système il est plus rapide et plus sain  de sauvegarder le répertoire /home et de réaliser une installation propre de la 12.04 ou de la 14.04.

Dernière modification par maxire (Le 25/05/2014, à 11:40)


Maxire
Archlinux/Mate + Ubuntu 18.04 + Lubuntu 18.04 + Archlinux/Gnome + Windows 10 Familial sur portable -- Archlinux/Mate sur poste de travail

Hors ligne

#19 Le 25/05/2014, à 11:54

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

yikes Ah ok, désolé, j'avais mal compris !
Alors…

# deb cdrom:[Ubuntu 8.04.1 _Hardy Heron_ - Release i386 (20080702.1)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ lucid restricted main
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid restricted

## Major bug fix updates produced after the final release of the
## distribution.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb-src http://fr.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu lucid partner
deb-src http://archive.canonical.com/ubuntu lucid partner


## Dépôts Universe Multiverse
#############################
deb http://security.ubuntu.com/ubuntu/ lucid-security restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates restricted main multiverse universe
# deb http://fr.archive.ubuntu.com/ubuntu/ lucid-proposed restricted main multiverse universe
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-backports restricted main multiverse universe
# deb http://ftp.fr.debian.org/debian sid main

Ensuite…

黒の中:~/Bureau$ sudo apt-get update
Atteint http://ppa.launchpad.net lucid Release.gpg
Ign http://ppa.launchpad.net/goehle/goehle-ppa/ubuntu/ lucid/main Translation-fr                                              
Atteint http://ppa.launchpad.net lucid Release.gpg                                                                            
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ lucid/main Translation-fr                                                   
Atteint http://ppa.launchpad.net lucid Release.gpg                                                                            
Ign http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ lucid/main Translation-fr                                                
Atteint http://archive.canonical.com lucid Release.gpg                                                                        
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-fr                                                         
Atteint http://archive.canonical.com lucid Release                                                                            
Atteint http://ppa.launchpad.net lucid Release                                                                                
Atteint http://ppa.launchpad.net lucid Release                                                           
Atteint http://ppa.launchpad.net lucid Release                                                           
Atteint http://archive.canonical.com lucid/partner Packages                                                                   
Atteint http://ppa.launchpad.net lucid/main Packages                                                                          
Atteint http://fr.archive.ubuntu.com lucid Release.gpg                                                   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr                             
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr                                   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr                                                    
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr                                                  
Atteint http://security.ubuntu.com lucid-security Release.gpg                                                                 
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr                                               
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr                                                     
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr                                               
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr                                                 
Atteint http://fr.archive.ubuntu.com lucid-updates Release.gpg                                                                
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr                                          
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr                                                
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr                                          
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr                                            
Atteint http://archive.canonical.com lucid/partner Sources                                                                    
Atteint http://ppa.launchpad.net lucid/main Packages                                                                          
Atteint http://ppa.launchpad.net lucid/main Packages                                                     
Atteint http://security.ubuntu.com lucid-security Release                                                
Atteint http://fr.archive.ubuntu.com lucid-backports Release.gpg       
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/main Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/multiverse Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ lucid-backports/universe Translation-fr
Atteint http://fr.archive.ubuntu.com lucid Release         
Atteint http://fr.archive.ubuntu.com lucid-updates Release
Atteint http://security.ubuntu.com lucid-security/restricted Packages                        
Atteint http://fr.archive.ubuntu.com lucid-backports Release                                 
Atteint http://security.ubuntu.com lucid-security/main Packages        
Atteint http://security.ubuntu.com lucid-security/multiverse Packages  
Atteint http://security.ubuntu.com lucid-security/universe Packages    
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages         
Atteint http://fr.archive.ubuntu.com lucid/main Packages
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources
Atteint http://fr.archive.ubuntu.com lucid/universe Packages
Atteint http://fr.archive.ubuntu.com lucid/universe Sources
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid/multiverse Sources
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/main Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/restricted Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/main Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/multiverse Packages
Atteint http://fr.archive.ubuntu.com lucid-backports/universe Packages
Lecture des listes de paquets... Fait

Juste là, pas de changement…

黒の中:~/Bureau$ sudo apt-get dist-upgrade 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
  g++: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
  g++-4.4: Dépend: gcc-4.4 (= 4.4.3-4ubuntu5.1) mais il n'est pas installé
  gcc: Dépend: gcc-4.4 (>= 4.4.3-1) mais il n'est pas installé
  libc-dev-bin: Dépend: libc6 (< 2.12) mais 2.18-7 est installé
  libc6: Casse: locales (< 2.18) mais 2.11+git20100304-3 est installé
  libc6-dev: Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 est installé
  libc6-i686: Pré-Dépend: libc6 (= 2.11.1-0ubuntu7.12) mais 2.18-7 est installé
  libnih1: Dépend: libc6 (< 2.12) mais 2.18-7 est installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Je parie que la commande "install -f" va donc donner le même résultat qu'avant.

黒の中:~/Bureau$ sudo apt-get install -f
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  ubuntuone-client python-crypto python-docky liblash2 python-fstab libclucene0ldbl libgladeui-1-9 bluez-alsa
  openoffice.org-l10n-ru xorg-docs-core syslinux libmono-getoptions2.0-cil libswscale0 libgtk2.0-0-dbg wavpack
  python-pygoocanvas libchewing3-data libgsf-gnome-1-114 python-opengl ttf-umefont libqca2 libmtp8 libboost-regex1.40.0
  libcolamd2.7.1 lp-solve gstreamer0.10-plugins-base-dbg libglitz-glx1 libqt4-assistant python-pyinotify libevent-1.4-2
  libatk1.0-dbg python-pexpect libtasn1-3-dev libpackagekit-glib2-12 bluez-gstreamer mppenc python-mako ttf-wqy-zenhei
  libgda-4.0-common libapparmor1 libgcj-bc libgsf-1-114-dbg mobile-broadband-provider-info libxcb-keysyms1
  libgoffice-0.8-8-common x11proto-kb-dev libkadm5clnt-mit7 python-protobuf libgpg-error-dev deluge-common libotf0
  libgda3-common wine1.3-gecko python-ubuntuone-storageprotocol python-evince libdiscid0 ttf-dejavu-extra
  libwvstreams4.6-base twolame libpango1.0-0-dbg libxml-namespacesupport-perl librsvg2-2.18-cil libsilc-1.1-2 libsvga1
  libgfortran3 oxygen-icon-theme libboost-program-options1.40.0 libqt4-test libvamp-hostsdk3 libopts25 cmake-data
  libapparmor-perl libqt4-sql-mysql libqt4-dbus ibus-pinyin-db-open-phrase libibus1 ibus-gtk kdelibs-data libnm-util1
  libhtml-template-perl libxcb-xv0 libopts25-dev python-newt libsctp1 libavidemux0 protobuf-compiler libindicate-gtk2
  libgoocanvas-common lockfile-progs autogen libmono-system-runtime2.0-cil bcmwl-modaliases shared-desktop-ontologies
  libupower-glib1 audacity-data libpostproc51 liblualib50 autoconf libflac++6 python-dbg anjuta-common libcddb2
  libtotem-plparser17 transcode-doc python-lxml python-telepathy libboost-thread1.40.0 computer-janitor libgdl-1-dbg
  libxine1-bin libxdmcp-dev odbcinst mp3gain vorbisgain libavahi-client-dev libxft2-dbg libavformat52 libdvbpsi5
  exuberant-ctags libgcj10 python-cairo-dbg libfontconfig1-dbg python-gtkspell libgssrpc4 libgnome-bluetooth7
  libpackagekit-qt-12 guile-1.8-libs libloudmouth1-0 dnsmasq-base unixodbc libsvn1 libchewing3 libakonadiprivate1
  libqt4-xmlpatterns libgmime2.4-cil ttf-liberation libtorrent-rasterbar5 libsoprano4 python-couchdb mysql-server-core-5.1
  libflickrnet2.2-cil liblaunchpad-integration1.0-cil xinput libgssdp-1.0-2 libvlc2 libgdu-gtk0 libgsf-gnome-1-114-dbg
  emacsen-common x11proto-core-dev speex python-numpy gstreamer0.10-ffmpeg python-avahi gcj-4.4-base libibus-qt1
  libxine1-ffmpeg python-sip kdelibs5-data winetricks vlc-nox gstreamer0.10-plugins-ugly-dbg odbcinst1debian1 libgda-4.0-4
  pinyin-database libgcj-common liblouis0 libmikmod2 python-gnomeprint obexd-client ttf-symbol-replacement-wine1.3 libupnp3
  autotools-dev libxml-libxml-perl libnm-glib2 libxcb-shape0 icedax avidemux-common libwxbase2.8-0 libxml-sax-perl
  libgmime-2.4-2 libloudmouth1-0-dbg python-louis libglitz1 libwmf-bin libxml2-dbg python-rsvg libavfilter0 python2.6-dbg
  x11proto-input-dev telepathy-mission-control-5 libspeechd2 libqt4-sql libwrap0-dev fglrx-modaliases libgnomecanvas2-dbg
  libnunit2.4-cil libclutter-gtk-0.10-0 cabextract ubuntu-mono python-appindicator libpthread-stubs0-dev tcl telepathy-gabble
  lksctp-tools python-packagekit nvidia-current-modaliases libsnmp-perl libstreamanalyzer0 nvidia-173-modaliases os-prober
  libnss3-1d-dbg libiso9660-7 libsox-fmt-base libpthread-stubs0 sox libqt4-xml libzip1 python-uniconvertor
  python-gnomekeyring libportmidi0 libblas3gf openoffice.org-l10n-zh-cn fuseiso tcl8.4 libsphinx2g0 gstreamer0.10-nice
  ttf-arphic-ukai python-numpy-dbg automake libqt4-network ttf-dejavu libcap-ng0 sphinx2-hmm-6k python-bugbuddy
  python-egenix-mxdatetime libtiffxx0c2 liblapack3gf libkadm5srv-mit7 python-totem-plparser openoffice.org-l10n-zh-tw
  libgupnp-1.0-3 libsox-fmt-alsa libattica0 tk8.4 python-configglue liblua5.1-0 firefox-locale-en nvidia-common
  firefox-locale-fr firefox-locale-ja python-egenix-mxtools libmpg123-0 gir1.0-clutter-gtk-0.10 libgda3-3 librsvg2-dbg
  libnspr4-0d-dbg filezilla-common libgda3-3-dbg libsilcclient-1.1-3 openoffice.org-l10n-en-gb firefox-locale-ru
  libgdict-1.0-6 libstreams0 vlc-data libzephyr4 libboost-filesystem1.40.0 packagekit-backend-apt firefox-locale-zh-hans
  firefox-locale-zh-hant libgtkhex0 libuniconf4.6 adium-theme-ubuntu libwvstreams4.6-extras libgnome-keyring1.0-cil libtar
  libkdb5-4 python-ubuntuone-client odt2txt libglib2.0-0-dbg winbind grub-common liblua50 mkvtoolnix python-eyed3
  libqt4-script libsox1a libquicktime1 libnice0 libavahi-common-dev libvala0 liblouis-data libssh-4 virtuoso-nepomuk
  libxcb-shm0 python-chardet python-ibus libvlccore2 soprano-daemon libltdl-dev libvcdinfo0 kdebase-runtime-data libebml0
  libboost-system1.40.0 libbt libiodbc2 libprotoc5 gstreamer0.10-gnonlin libieee1284-3-dev nvidia-96-modaliases
  kdepimlibs-data libglademm-2.4-1c2a libgoocanvas3 libmatroska0 modemmanager libgupnp-igd-1.0-2 libboost-python1.40.0
  python-libtorrent libgdl-1-3 gimp-dbg python-gobject-dbg libnotify0.4-cil python-rdflib ttf-droid libgstreamer0.10-0-dbg
  libgdata-common python-gtop openoffice.org-l10n-fr openoffice.org-l10n-ja hplip-data libxine1-console python-gtk2-dbg
  liblockfile1 libgdl-1-common libdotconf1.0 libv4l-dev libfaac0 libmusicbrainz3-6 libavdevice52 python-indicate
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  gcc-4.4 landscape-client landscape-common libxml2 libxml2-dbg php5-cgi php5-common php5-gd php5-mysql
Paquets suggérés :
  gcc-4.4-multilib libmudflap0-4.4-dev gcc-4.4-doc gcc-4.4-locales libgcc1-dbg libgomp1-dbg libmudflap0-dbg libcloog-ppl0
  libppl-c2 libppl7 php-pear php5-suhosin
Les paquets suivants seront ENLEVÉS :
  acetoneiso acpi-support acpid agave aisleriot alsa-base alsa-utils anacron anjuta anjuta-dbg apache2 apache2-mpm-prefork
  apache2.2-common apmd apparmor apparmor-utils apport apport-gtk aptdaemon apturl at at-spi audacity avahi-daemon
  avahi-utils avidemux bbkeys beneath-a-steel-sky bluetooth bluez bluez-cups bluez-utils brasero brasero-common brltty
  brltty-x11 bug-buddy build-essential byobu capplets-data checkbox checkbox-gtk comerr-dev comix compiz compiz-core
  compiz-fusion-plugins-extra compiz-fusion-plugins-main compiz-gnome compiz-plugins compizconfig-backend-gconf
  compizconfig-settings-manager computer-janitor-gtk console-setup consolekit couchdb-bin cron cryptsetup cups
  cups-driver-gutenprint cupsys cupsys-driver-gutenprint dbus dbus-x11 deluge deluge-gtk deluge-torrent desktopcouch
  devhelp-common dmsetup docky e2fsprogs edgar ekiga empathy empathy-common eog eog-dbg epiphany-browser
  epiphany-browser-data epiphany-browser-dbg erlang-base erlang-crypto erlang-inets erlang-mnesia erlang-public-key
  erlang-runtime-tools erlang-ssl erlang-syntax-tools erlang-xmerl evince evince-dbg evolution evolution-couchdb
  evolution-data-server evolution-data-server-dbg evolution-dbg evolution-exchange evolution-indicator evolution-plugins
  evolution-webcal f-spot ffmpeg file-roller filezilla firefox firefox-3.0 firefox-gnome-support flashplugin-installer
  flashplugin-nonfree foo2zjs foomatic-db foomatic-db-engine friendly-recovery ftp g++ g++-4.4 gbrainy gcalctool
  gconf-defaults-service gconf-editor gconf2 gconf2-common gdebi gdebi-kde gdm gdm-guest-session gedit ghex ghostscript-cups
  ghostscript-x gimp gir1.0-gconf-2.0 gksu glchess glines gnect gnibbles gnobots2 gnome-about gnome-alsamixer gnome-applets
  gnome-applets-data gnome-applets-dbg gnome-bluetooth gnome-codec-install gnome-control-center gnome-dbg gnome-disk-utility
  gnome-games gnome-games-common gnome-keyring gnome-mag gnome-mahjongg gnome-media gnome-media-common gnome-netstatus-applet
  gnome-nettool gnome-orca gnome-panel gnome-panel-data gnome-panel-dbg gnome-pilot gnome-pilot-conduits gnome-power-manager
  gnome-screensaver gnome-session gnome-session-bin gnome-session-canberra gnome-settings-daemon gnome-sudoku
  gnome-system-monitor gnome-system-tools gnome-terminal gnome-terminal-data gnome-user-guide gnome-user-guide-en
  gnome-user-guide-fr gnome-user-guide-ja gnome-user-guide-ru gnome-user-guide-zh gnome-user-share gnome-utils
  gnome-voice-control gnomebaker gnomine gnotravex gnotski grub gsfonts-x11 gstreamer0.10-gnomevfs
  gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-good gstreamer0.10-plugins-good-dbg gstreamer0.10-pulseaudio
  gtali gtk-recordmydesktop gtranslator gucharmap gvfs gvfs-backends gvfs-bin gvfs-fuse gwibber gwibber-service hal hostname
  hplip hwtest hwtest-gtk iagno ibus ibus-anthy ibus-chewing ibus-m17n ibus-pinyin ibus-qt4 ibus-table ibus-table-cangjie
  ibus-table-wubi icoutils ifupdown imagemagick indicator-applet indicator-applet-session indicator-me indicator-session
  indicator-sound initramfs-tools initscripts inkscape install-package intltool ipscan irqbalance jedit jockey-common
  jockey-gtk kbd kde-l10n-engb kde-l10n-fr kde-l10n-ja kde-l10n-ru kde-l10n-zhcn kde-l10n-zhtw kdebase-runtime kdelibs-bin
  kdelibs4c2a kdelibs5 kdemultimedia-kio-plugins kdepimlibs5 kdesudo kpackagekit krb5-multidev kubuntu-debug-installer
  language-pack-en language-pack-en-base language-pack-fr language-pack-fr-base language-pack-gnome-en
  language-pack-gnome-en-base language-pack-gnome-fr language-pack-gnome-fr-base language-pack-gnome-ja
  language-pack-gnome-ja-base language-pack-gnome-ru language-pack-gnome-ru-base language-pack-gnome-zh
  language-pack-gnome-zh-hans language-pack-gnome-zh-hans-base language-pack-gnome-zh-hant language-pack-gnome-zh-hant-base
  language-pack-ja language-pack-ja-base language-pack-kde-en language-pack-kde-en-base language-pack-kde-fr
  language-pack-kde-fr-base language-pack-kde-ja language-pack-kde-ja-base language-pack-kde-ru language-pack-kde-ru-base
  language-pack-kde-zh-hans language-pack-kde-zh-hans-base language-pack-kde-zh-hant language-pack-kde-zh-hant-base
  language-pack-ru language-pack-ru-base language-pack-zh language-pack-zh-hans language-pack-zh-hans-base
  language-pack-zh-hant language-pack-zh-hant-base language-selector language-support-fonts-zh language-support-fonts-zh-hans
  language-support-fonts-zh-hant language-support-input-ja language-support-input-zh-hans language-support-input-zh-hant lftp
  libapache2-mod-php5 libasound2-plugins libatspi-dbg libatspi1.0-0 libaudio2 libavahi-qt3-1 libbcmail-java
  libbcmail-java-gcj libbcprov-java libbonoboui2-0 libbrasero-media0 libc-dev-bin libc6-dev libc6-i686 libcamel1.2-14
  libcanberra-pulse libcompizconfig0 libcouchdb-glib-1.0-2 libcryptui0 libcups2-dev libcupsimage2-dev libdbusmenu-qt2
  libdesktopcouch-glib-1.0-2 libdevhelp-1-1 libebackend1.2-0 libebook1.2-9 libecal1.2-7 libedata-book1.2-2 libedata-cal1.2-6
  libedataserver1.2-11 libedataserverui1.2-8 libegroupwise1.2-13 libexchange-storage1.2-3 libexif-dev libfluidsynth1
  libgail-gnome-dbg libgail-gnome-module libgconf2-4 libgconf2.0-cil libgconfmm-2.6-1c2 libgcrypt11-dev libgdata6 libgdu0
  libgegl-0.0-0 libgksu2-0 libglew1.5 libgnome-desktop-2-17 libgnome-media0 libgnome-pilot2 libgnome-speech7
  libgnome-vfs2.0-cil libgnome-window-settings1 libgnome2-0 libgnome2-common libgnome2-dbg libgnome2-perl libgnome2-vfs-perl
  libgnome2.24-cil libgnomedesktop2.20-cil libgnomekbd-common libgnomekbd4 libgnomepanel2.24-cil libgnomeui-0
  libgnomeui-0-dbg libgnomevfs2-0 libgnomevfs2-0-dbg libgnomevfs2-bin libgnomevfs2-common libgnomevfs2-extra libgnuinet-java
  libgnujaf-java libgnumail-java libgnutls-dev libgoffice-0.8-8 libgoffice-dbg libgphoto2-2-dev libgstfarsight0.10-0
  libgtkglext1 libgtkhtml-editor0 libgtkhtml3.14-19 libgtkhtml3.14-dbg libgtkhtml3.16-cil libgweather-common libgweather1
  libice6 libitext-java libitext-java-gcj libjpeg62-dev libkcddb4 libkrb5-dev liblpint-bonobo0 libm17n-0 libmagick++2
  libmagickcore2 libmagickcore2-extra libmagickwand2 libmetacity-private0 libmjpegtools-1.9 libnet-dbus-perl libnih-dbus1
  libnih1 libnss-mdns liboobs-1-4 liboobs-1-4-dbg libopal3.6.6 libpanel-applet2-0 libphonon4 libplasma3 libpng12-dev
  libpolkit-gtk-1-0 libpolkit-qt-1-0 libpt2.6.5 libpt2.6.5-plugins libpulse-browse0 libpulse-mainloop-glib0 libpulse0
  libpurple0 libqt3-mt libqt4-designer libqt4-help libqt4-opengl libqt4-qt3support libqt4-scripttools libqt4-svg
  libqt4-webkit libqtgui4 librpc-xml-perl libsane-dev libsdl-image1.2 libsdl-mixer1.2 libsdl-ttf2.0-0 libsdl1.2debian
  libsdl1.2debian-pulseaudio libseed0 libsm6 libsmpeg0 libsnmp-dev libsoup-gnome2.4-1 libssl-dev libstartup-notification0
  libstdc++6-4.4-dev libtelepathy-farsight0 libtiff4-dev libtool libubuntuone-1.0-1 libusb-dev libwebkit-1.0-2
  libwebkit-1.0-2-dbg libwnck2.20-cil libwnck22 libwww-perl libwxgtk2.8-0 libx11-dev libxau-dev libxaw7 libxcb1-dev libxine1
  libxine1-misc-plugins libxine1-plugins libxine1-x libxklavier16 libxml-parser-perl libxml-sax-expat-perl libxml-twig-perl
  libxml2-dev libxmu6 libxres1 libxss1 libxt6 libxtst6 libxvmc1 libxxf86dga1 light-themes lightsoff
  linux-backports-modules-2.6.24-28-generic linux-generic linux-image-2.6.24-28-generic linux-image-2.6.32-25-generic
  linux-image-2.6.32-49-generic linux-image-generic linux-sound-base linux-ubuntu-modules-2.6.24-28-generic locales logrotate
  m17n-contrib m17n-db media-player-info mencoder metacity metacity-common mjpegtools mkvtoolnix-gui module-init-tools
  mountall mousetweaks mplayer mysql-server mysql-server-5.1 nautilus nautilus-data nautilus-dbg nautilus-open-terminal
  nautilus-sendto nautilus-sendto-empathy nautilus-share netbase network-manager network-manager-gnome network-manager-pptp
  network-manager-pptp-gnome notification-daemon notify-osd ntfs-3g ntpdate obex-data-server onboard openoffice.org-base-core
  openoffice.org-calc openoffice.org-core openoffice.org-draw openoffice.org-emailmerge openoffice.org-gnome
  openoffice.org-gtk openoffice.org-help-en-gb openoffice.org-help-en-us openoffice.org-help-fr openoffice.org-help-ja
  openoffice.org-help-ru openoffice.org-help-zh-cn openoffice.org-help-zh-tw openoffice.org-impress openoffice.org-math
  openoffice.org-pdfimport openoffice.org-style-galaxy openoffice.org-writer openprinting-ppds openssh-server packagekit
  paman pcmciautils pdfedit pdftk perlmagick phonon phonon-backend-xine pidgin pidgin-libnotify pidgin-otr pinentry-qt4
  pitivi plasma-scriptengine-javascript plowshare plymouth plymouth-label plymouth-theme-ubuntu-logo
  plymouth-theme-ubuntu-text plymouth-x11 pm-utils pm-utils-powersave-policy policykit policykit-1 policykit-1-gnome
  polkit-kde-1 postfix powermgmt-base ppp pppconfig pppoeconf pptp-linux procps pulseaudio pulseaudio-esound-compat
  pulseaudio-module-bluetooth pulseaudio-module-gconf pulseaudio-module-x11 pulseaudio-utils pxljr pyrenamer python-aptdaemon
  python-aptdaemon-gtk python-compizconfig python-desktopcouch python-desktopcouch-records python-evolution python-farsight
  python-gconf python-gnome2 python-gnome2-desktop python-gnomeapplet python-gnomedesktop python-gtkglext1 python-kde4
  python-mediaprofiles python-metacity python-papyon python-pyatspi python-pygame python-qt4 python-speechd python-ubuntuone
  python-uno python-virtkey python-webkit python-wnck quadrapassel rawstudio recordmydesktop rhythmbox rhythmbox-dbg
  rhythmbox-plugin-cdrecorder rhythmbox-plugins rhythmbox-ubuntuone-music-store rss-glx rsyslog screen
  screen-resolution-extra screensaver-default-images scummvm seahorse seed simple-scan skype software-center
  software-properties-gtk software-properties-kde sound-juicer soundkonverter speech-dispatcher splix startupmanager
  sun-java6-bin sun-java6-jre swell-foop sysinfo system-config-printer-gnome system-tools-backends telepathy-butterfly
  telepathy-haze telepathy-salut telnet timidity timidity-daemon tomboy totem totem-common totem-dbg totem-gstreamer
  totem-mozilla totem-plugins tracker tracker-search-tool transcode transmission-gtk tsclient ttf-mscorefonts-installer
  ubufox ubuntu-artwork ubuntu-desktop ubuntu-docs ubuntu-standard ubuntu-system-service ubuntu-wallpapers
  ubuntuone-client-gnome udev udisks ufw update-manager update-manager-kde update-notifier upower upstart ureadahead
  usb-creator-common usb-creator-gtk util-linux util-linux-locales vinagre vino vlc vlc-plugin-pulse wine wine1.3
  wireless-crda wvdial x-ttcidfont-conf x11-apps x11-common x11-session-utils x11-utils x11-xfs-utils x11-xkb-utils
  x11-xserver-utils xbase-clients xchat xchat-common xclip xfonts-100dpi xfonts-75dpi xfonts-base xfonts-encodings
  xfonts-mathml xfonts-scalable xfonts-utils xfonts-wqy xine-plugin xinit xorg xscreensaver-data xscreensaver-gl
  xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-amd xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati xserver-xorg-video-chips
  xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-geode
  xserver-xorg-video-glint xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-nv
  xserver-xorg-video-openchrome xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-savage xserver-xorg-video-siliconmotion
  xserver-xorg-video-sis xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-trident
  xserver-xorg-video-tseng xserver-xorg-video-v4l xserver-xorg-video-vesa xserver-xorg-video-via xserver-xorg-video-vmware
  xserver-xorg-video-voodoo xterm xtrans-dev xul-ext-ubufox xulrunner-1.9.2 xulrunner-1.9.2-gnome-support xutils yelp
  zlib1g-dev
Les NOUVEAUX paquets suivants seront installés :
  gcc-4.4 php5-cgi
Les paquets suivants seront mis à jour :
  landscape-client landscape-common libxml2 libxml2-dbg php5-common php5-gd php5-mysql
ATTENTION : Les paquets essentiels suivants vont être enlevés.
Vous NE devez PAS faire ceci, à moins de savoir exactement ce
que vous êtes en train de faire.
  e2fsprogs util-linux (en raison de e2fsprogs) hostname upstart (en raison de hostname)
7 mis à jour, 2 nouvellement installés, 764 à enlever et 98 non mis à jour.
Il est nécessaire de prendre 12,6Mo dans les archives.
Après cette opération, 3 676Mo d'espace disque seront libérés.
Vous êtes sur le point de faire quelque chose de potentiellement dangereux
Pour continuer, tapez la phrase « Oui, faites ce que je vous dis ! »
 ?]Non, toujours pas moyen, mec !
Annulation.

roll Je m'en doutais.

Essayons voir Synaptic.
« You have 8 broken packages on your system! Use the "Broken" filter to locate them. »
Ah, c'est bizarre ! Cette fois les paquets cassés sont tous (sauf libc6) ornés du petit logo d'Ubuntu.
Edit > Fix Broken Packages
Les paquets libc6 et gcc semblent avoir été réparés mais g++, g++-4.4, libc-dev-bin, libc6-dev et libc6-i686 ont une petite croix noire, la réparation a dû se planter. [Voir la capture d'écran]

@Max : Après avoir découvert que mon disque dur externe avait perdu des fichiers particulièrement précieux, je ne suis pas sûr que lui confier mon /home actuel, qui contient lui aussi des documents précieux, soit une idée très viable. Peux-tu d'ailleurs m'assurer que la précédente installation de 10.04 ne va pas avoir le moindre impact sur 14.04 ?

Hors ligne

#20 Le 25/05/2014, à 14:15

maxire

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Cloros a écrit :

Peux-tu d'ailleurs m'assurer que la précédente installation de 10.04 ne va pas avoir le moindre impact sur 14.04 ?

Je ne garantis absolument rien, lorsque je propose une installation propre de la 12.04 ou de la 14.04 cela implique la destruction de la partition contenant la 10.04, donc peu importe l'état de  celle-ci.
Si /home est dans une partition séparée de / pas de problème sinon c'est un peu plus compliqué.

De plus ton installation étant ancienne, comme je suppose que le bureau utilisé est gnome cela impliquerait, dans le cas d'une mise à niveau un passage à Unity, pas certain que ton pc puisse supporter cet environnement.

Avant une mise à niveau il est conseillé de réaliser des des tests avec un live-cd ou une live-usb de l'environnement cible.

En ce qui concerne tes paquets cassés, ce sont des paquets liés au développement, à la compilation (C++) tu devrais pouvoir les supprimer (si c'est encore possible).
À faire également un

sudo apt-get autoremove

pour un petit nettoyage avec le risque de tout casser au vu de la liste des paquets à supprimer.
Une chose que tu peux faire:
1 - Tenter de supprimer les paquets cassés avec synaptic
2 - Passer en mode console (ctrl+alt+f1)
3 - Arrêter l'interface graphique en faisant

sudo service gdm stop 

(je suppose que le gestionnaire de connexion est GDM, à toi de corriger si nécessaire)
4 -

sudo apt-get update
sudo apt-get autoremove 

(Bombe H, destruction au moins partielle de l'environnement)
5 - Réinstallation de Ubuntu

sudo apt-get install ubuntu-desktop

Toutes ces commandes ne sont valables que si tu utilises bien Ubuntu 10.04 et que l'environnement de bureau est Gnome.

Bon nettoyage !


Maxire
Archlinux/Mate + Ubuntu 18.04 + Lubuntu 18.04 + Archlinux/Gnome + Windows 10 Familial sur portable -- Archlinux/Mate sur poste de travail

Hors ligne

#21 Le 25/05/2014, à 14:39

nam1962

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Combien de ram as tu ?


[ Modéré ]

Hors ligne

#22 Le 25/05/2014, à 17:50

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Désolé de répondre si tardivement.

@1962 : De RAM ? Euh… C'est probablement dans le document de Sysinfo :

System information report, generated by Sysinfo: 25/05/2014 18:43:54
http://sourceforge.net/projects/gsysinfo

SYSTEM INFORMATION
	Running Ubuntu Linux, the Ubuntu 10.04 (lucid) release.
	GNOME: 2.30.2 (Ubuntu 2010-06-25)
	Kernel version: 2.6.32-49-generic (#111-Ubuntu SMP Thu Jun 20 21:28:42 UTC 2013)
	GCC: no gcc detected
	Xorg: unknown (11 April 2013  01:18:49PM) (11 April 2013  01:18:49PM)
	Hostname: hotmail
	Uptime: 0 days 9 h 14 min

CPU INFORMATION
	GenuineIntel, Intel(R) Pentium(R) Dual  CPU  T2330  @ 1.60GHz
	Number of CPUs: 2
	CPU clock currently at 800.000 MHz with 1024 KB cache
	Numbering: family(6) model(15) stepping(13)
	Bogomips: 3192.43
	Flags: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl est tm2 ssse3 cx16 xtpr pdcm lahf_lm

MEMORY INFORMATION
	Total memory: 2004 MB
	Total swap: 5906 MB

STORAGE INFORMATION
	SCSI device -  scsi0
		Vendor:  MATSHITA 
		Model:  DVD-RAM UJ-85JS  
	SCSI device -  scsi2
		Vendor:  ATA      
		Model:  Hitachi HTS54161 

HARDWARE INFORMATION
MOTHERBOARD
	Host bridge
		Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
		Subsystem: Lenovo Device 39f1
	PCI bridge(s)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
		Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if 01)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
		Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
		Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if 01)
	USB controller(s)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
		Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20)
	ISA bridge
		Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
		Subsystem: Lenovo Device 39f7
	IDE interface
		Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03) (prog-if 8a [Master SecP PriP])
		Subsystem: Lenovo Device 39f8

GRAPHIC CARD
	VGA controller
		Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
		Subsystem: Lenovo Device 400e

SOUND CARD
	Multimedia controller
		Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
		Subsystem: Lenovo Device 4010

NETWORK
	Network controller
		Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
		Subsystem: Intel Corporation Device 1001
	Ethernet controller
		Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)
		Subsystem: Lenovo Device 4006

J'ai… 2Go de RAM… peut-être ?

@Max : Après estimation il semble que mon /home pèse à peu près 110 Go (et pourtant il ne contient pas le quart de tout ce que j'avais − maintenant perdu). Il me faudrait une bonne trentaine de DVD pour tout graver avant de commencer l'opération que tu recommandes, Max. Ça risque de prendre un petit moment, si ça ne te dérange pas, je vais voir s'il n'y aurait pas moyen de mettre la main sur un disque dur externe, ça prendra sans doute quelques jours.

Hors ligne

#23 Le 26/05/2014, à 07:50

nam1962

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Oui, c'est bien 2Go.
tu as besoin d'une Xubuntu 32 bits : http://cdimage.ubuntu.com/xubuntu/relea … p-i386.iso
Puis le tuto dans ma signature.
Si tu as une /home séparée c'est encore mieux, sinon : http://doc.ubuntu-fr.org/reinstallation_ubuntu
Ca prend 1 h - 1h 30 max


[ Modéré ]

Hors ligne

#24 Le 26/05/2014, à 07:56

maxire

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Avec 2 Go, Unity passe aussi même si c'est un peu limite.


Maxire
Archlinux/Mate + Ubuntu 18.04 + Lubuntu 18.04 + Archlinux/Gnome + Windows 10 Familial sur portable -- Archlinux/Mate sur poste de travail

Hors ligne

#25 Le 29/05/2014, à 19:50

Chloros

Re : [Résolu] 10.04, dpkg, multiples erreurs critiques + paquet endommagés

Désolé de remonter le sujet juste pour le verrouiller, ce sera rapide.
Après avoir tenté en vain d'installer Gentoo à partir du liveCD minimal, puis avoir obtenu une erreur système EDD 8000 avec le CD de restauration SystemRescue, j'ai gravé le Xubuntu que nam1962 m'avait fourni mais le DVD n'a pas booté correctement, c'est à peine si j'ai réussi à installer Ubuntu 14.04 (renvoie une erreur système avec Compiz).

Mon souci actuel est avec le site que j'avais mis dans mon dossier /home/chloros/Websites/. J'arrive à accéder à l'index mais j'obtiens une erreur 500 quand je tente d'accéder à un sous-dossier administratif. Je demanderai probablement un coup de main dans le forum idoine.

Dans tous les cas, merci à Name1962, Maxire et Waxdefs !

Hors ligne